SERCOM_I2CM_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint8_t MB:1
__I uint8_t SB:1
__I uint8_t:5
__I uint8_t ERROR:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 900 of file sercom.h.

## Field Documentation

## bit

struct { ... } SERCOM_I2CM_INTFLAG_Type::bit

Structure used for bit access

## ERROR

__I uint8_t SERCOM_I2CM_INTFLAG_Type::ERROR

bit: 7 Combined Error Interrupt

Definition at line 905 of file sercom.h.

## MB

__I uint8_t SERCOM_I2CM_INTFLAG_Type::MB

bit: 0 Master On Bus Interrupt

Definition at line 902 of file sercom.h.

## reg

uint8_t SERCOM_I2CM_INTFLAG_Type::reg

Type used for register access

Definition at line 907 of file sercom.h.

## SB

__I uint8_t SERCOM_I2CM_INTFLAG_Type::SB

bit: 1 Slave On Bus Interrupt

Definition at line 903 of file sercom.h.

## uint8_t

__I SERCOM_I2CM_INTFLAG_Type::uint8_t

bit: 2.. 6 Reserved

Definition at line 904 of file sercom.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sercom.h